petsc-3.12.4 2020-02-04
Report Typos and Errors

# KSPMonitorTrueResidualNorm

Prints the true residual norm as well as the preconditioned residual norm at each iteration of an iterative solver.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPMonitorTrueResidualNorm(KSP ksp,PetscInt n,PetscReal rnorm,PetscViewerAndFormat *dummy)

Collective on ksp

### Input Parameters

| ksp | - iterative context
| n | - iteration number
| rnorm | - 2-norm (preconditioned) residual value (may be estimated).
| dummy | - an ASCII PetscViewer

### Options Database Key

-ksp_monitor_true_residual -Activates KSPMonitorTrueResidualNorm()

### Notes

When using right preconditioning, these values are equivalent.

### See Also

KSPMonitorSet(), KSPMonitorDefault(), KSPMonitorLGResidualNormCreate(),KSPMonitorTrueResidualMaxNorm()

### Level

intermediate

### Location

src/ksp/ksp/interface/iterativ.c

### Examples

src/snes/examples/tutorials/ex12.c.html
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages